Bug 860831 - Failed Systems table does not show system name
Failed Systems table does not show system name
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
1.8
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-09-26 16:06 EDT by Kevin Stange
Modified: 2012-11-01 12:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-01 12:20:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Stange 2012-09-26 16:06:21 EDT
When a task fails, it appears in Schedule > Failed Actions for review.  When I click on the failed action, then on "Failed Systems" the System column is missing the name of the system, which is needed to effectively resolve a failure.  The HTML has a link to the system, so it can be identified by viewing the source.

I suspect this to be related to the jsp file:

/var/lib/tomcat6/webapps/rhn/WEB-INF/pages/schedule/failedsystems.jsp

Presumably, this line (28) is wrong:

<c:out value="${current.name}" escapeXml="true" />

Example output:

<a href="/network/systems/details/history/event.pxt?sid=1000010020&amp;hid=1186"></a>

Version-Release number of selected component:

spacewalk-java-1.8.151-1.el6.noarch

I have reproduced this with all the failed upgrade actions I have attempted.
Comment 1 Tomas Lestach 2012-10-02 05:38:29 EDT
Valid bug.

spacewalk.git: 8be5a34a871f167dff51649000782448a278fb5d

Thanks for reporting!
Comment 2 Jan Pazdziora 2012-10-30 15:25:00 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 3 Kevin Stange 2012-10-30 17:04:20 EDT
I can confirm this is addressed by the update and is working properly now.
Comment 4 Jan Pazdziora 2012-11-01 12:20:31 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.